org.codehaus.groovy.macro.runtime

## Class MacroContext

- java.lang.Object
- - org.codehaus.groovy.macro.runtime.MacroContext

-     @Incubating
      public class MacroContext
      extends java.lang.Object

  Macro method context. Every macro method must be an extension method of it.
  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacroContext(CompilationUnit compilationUnit, SourceUnit sourceUnit, MethodCallExpression call)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MethodCallExpression` | `getCall()`
    `CompilationUnit` | `getCompilationUnit()`
    `SourceUnit` | `getSourceUnit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacroContext

          public MacroContext(CompilationUnit compilationUnit,
                              SourceUnit sourceUnit,
                              MethodCallExpression call)

  - ### Method Detail

    - #### getCall

          public MethodCallExpression getCall()

      Returns:
        original method call expression

    - #### getSourceUnit

          public SourceUnit getSourceUnit()

      Returns:
        current source unit

    - #### getCompilationUnit

          public CompilationUnit getCompilationUnit()

      Returns:
        current compilation unit